iteratee-0.8.9.4: Iteratee-based I/O

Safe Haskell | Safe-Inferred

Data.Iteratee.Base.LooseMap

Description

Monadic Iteratees: incremental input parsers, processors, and transformers

Maps over restricted-element containers

Synopsis

- class LooseMap c el el' where
  - lMap :: (el -> el') -> c el -> c el'

# Documentation

class LooseMap c el el' where

Enable map functions for containers that require class contexts on the element types. For lists, this is identical to plain `map`.

Methods

lMap :: (el -> el') -> c el -> c el'

Instances

LooseMap [] el el' |